public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-geosciences/merkaartor/
Date: Sat, 29 Dec 2018 23:52:56 +0000 (UTC)	[thread overview]
Message-ID: <1546127557.a8b45e983c4a03566e2341538f688684ea1b2c47.asturm@gentoo> (raw)

commit:     a8b45e983c4a03566e2341538f688684ea1b2c47
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 29 22:46:47 2018 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat Dec 29 23:52:37 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a8b45e98

sci-geosciences/merkaartor: Fix plugin path

Sync 9999 with 0.18.3-r3 changes
Drop bundled libs
Drop obsolete pkg_preinst

Thanks-to: Jonathan Marten <jjm <AT> keelhaul.me.uk>
Closes: https://bugs.gentoo.org/621826
Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 ...tor-9999.ebuild => merkaartor-0.18.3-r4.ebuild} | 39 ++++++++++------------
 sci-geosciences/merkaartor/merkaartor-9999.ebuild  | 16 ++++-----
 2 files changed, 25 insertions(+), 30 deletions(-)

diff --git a/sci-geosciences/merkaartor/merkaartor-9999.ebuild b/sci-geosciences/merkaartor/merkaartor-0.18.3-r4.ebuild
similarity index 69%
copy from sci-geosciences/merkaartor/merkaartor-9999.ebuild
copy to sci-geosciences/merkaartor/merkaartor-0.18.3-r4.ebuild
index fa01cf15ac0..29f7b22e8be 100644
--- a/sci-geosciences/merkaartor/merkaartor-9999.ebuild
+++ b/sci-geosciences/merkaartor/merkaartor-0.18.3-r4.ebuild
@@ -1,21 +1,20 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
 
 PLOCALES="ar cs de en es et fr hr hu id_ID it ja nl pl pt_BR pt ru sk sv uk vi zh_CN zh_TW"
 
-inherit git-r3 gnome2-utils l10n qmake-utils xdg-utils
+inherit gnome2-utils l10n qmake-utils xdg-utils
 
 DESCRIPTION="Qt based map editor for the openstreetmap.org project"
 HOMEPAGE="http://www.merkaartor.be https://github.com/openstreetmap/merkaartor"
-SRC_URI=""
-EGIT_REPO_URI="https://github.com/openstreetmap/merkaartor.git"
+SRC_URI="https://github.com/openstreetmap/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
 
 LICENSE="GPL-2"
 SLOT="0"
-KEYWORDS=""
-IUSE="debug exif gps libproxy webengine"
+KEYWORDS="~amd64 ~x86"
+IUSE="debug exif gps libproxy"
 
 RDEPEND="
 	dev-qt/qtconcurrent:5
@@ -24,6 +23,7 @@ RDEPEND="
 	dev-qt/qtprintsupport:5
 	dev-qt/qtsingleapplication[X,qt5(+)]
 	dev-qt/qtsvg:5
+	dev-qt/qtwebkit:5
 	dev-qt/qtwidgets:5
 	dev-qt/qtxml:5
 	sci-libs/gdal
@@ -32,22 +32,20 @@ RDEPEND="
 	exif? ( media-gfx/exiv2:= )
 	gps? ( >=sci-geosciences/gpsd-3.17-r2 )
 	libproxy? ( net-libs/libproxy )
-	webengine? ( dev-qt/qtwebengine:5 )
 "
 DEPEND="${RDEPEND}
 	dev-qt/linguist-tools:5
 	virtual/pkgconfig
 "
+PATCHES=( "${FILESDIR}/${P}-sharedir-pluginsdir.patch" ) # bug 621826
 
 DOCS=( AUTHORS CHANGELOG )
 
-src_unpack() {
-	git-r3_src_unpack
-}
-
 src_prepare() {
 	default
 
+	rm -r 3rdparty || die "Failed to remove bundled libs"
+
 	my_rm_loc() {
 		sed -i -e "s:../translations/${PN}_${1}.\(ts\|qm\)::" src/src.pro || die
 		rm "translations/${PN}_${1}.ts" || die
@@ -59,31 +57,28 @@ src_prepare() {
 	fi
 
 	# build system expects to be building from git
-	if [[ ${PV} != *9999 ]] ; then
-		sed -i "${S}"/src/Config.pri -e "s:SION = .*:SION = \"${PV}\":g" || die
-	fi
+	sed -i "${S}"/src/Config.pri -e "s:SION = .*:SION = \"${PV}\":g" || die
 }
 
 src_configure() {
 	# TRANSDIR_SYSTEM is for bug #385671
 	eqmake5 \
-		PREFIX="${ED}usr" \
-		LIBDIR="${ED}usr/$(get_libdir)" \
-		TRANSDIR_MERKAARTOR="${ED}usr/share/${PN}/translations" \
+		PREFIX="${ED%/}/usr" \
+		LIBDIR="${ED%/}/usr/$(get_libdir)" \
+		PLUGINS_DIR="/usr/$(get_libdir)/${PN}/plugins" \
+		SHARE_DIR_PATH="/usr/share/${PN}" \
+		TRANSDIR_MERKAARTOR="${ED%/}/usr/share/${PN}/translations" \
 		TRANSDIR_SYSTEM="${EPREFIX}/usr/share/qt5/translations" \
 		SYSTEM_QTSA=1 \
+		RELEASE=1 \
 		NODEBUG=$(usex debug 0 1) \
 		GEOIMAGE=$(usex exif 1 0) \
 		GPSDLIB=$(usex gps 1 0) \
 		LIBPROXY=$(usex libproxy 1 0) \
-		USEWEBENGINE=$(usex webengine 1 0) \
+		ZBAR=0 \
 		Merkaartor.pro
 }
 
-pkg_preinst() {
-	gnome2_icon_savelist
-}
-
 pkg_postinst() {
 	xdg_desktop_database_update
 	gnome2_icon_cache_update

diff --git a/sci-geosciences/merkaartor/merkaartor-9999.ebuild b/sci-geosciences/merkaartor/merkaartor-9999.ebuild
index fa01cf15ac0..4491ffa4a5c 100644
--- a/sci-geosciences/merkaartor/merkaartor-9999.ebuild
+++ b/sci-geosciences/merkaartor/merkaartor-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2018 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=6
@@ -39,6 +39,8 @@ DEPEND="${RDEPEND}
 	virtual/pkgconfig
 "
 
+PATCHES=( "${FILESDIR}/${PN}-0.18.3-sharedir-pluginsdir.patch" ) # bug 621826
+
 DOCS=( AUTHORS CHANGELOG )
 
 src_unpack() {
@@ -67,9 +69,11 @@ src_prepare() {
 src_configure() {
 	# TRANSDIR_SYSTEM is for bug #385671
 	eqmake5 \
-		PREFIX="${ED}usr" \
-		LIBDIR="${ED}usr/$(get_libdir)" \
-		TRANSDIR_MERKAARTOR="${ED}usr/share/${PN}/translations" \
+		PREFIX="${ED%/}/usr" \
+		LIBDIR="${ED%/}/usr/$(get_libdir)" \
+		PLUGINS_DIR="/usr/$(get_libdir)/${PN}/plugins" \
+		SHARE_DIR_PATH="/usr/share/${PN}" \
+		TRANSDIR_MERKAARTOR="${ED%/}/usr/share/${PN}/translations" \
 		TRANSDIR_SYSTEM="${EPREFIX}/usr/share/qt5/translations" \
 		SYSTEM_QTSA=1 \
 		NODEBUG=$(usex debug 0 1) \
@@ -80,10 +84,6 @@ src_configure() {
 		Merkaartor.pro
 }
 
-pkg_preinst() {
-	gnome2_icon_savelist
-}
-
 pkg_postinst() {
 	xdg_desktop_database_update
 	gnome2_icon_cache_update


             reply	other threads:[~2018-12-29 23:53 UTC|newest]

Thread overview: 30+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-12-29 23:52 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-21 17:58 [gentoo-commits] repo/gentoo:master commit in: sci-geosciences/merkaartor/ Andreas Sturmlechner
2023-05-15 21:28 Andreas Sturmlechner
2023-05-15 21:28 Andreas Sturmlechner
2023-05-15 21:28 Andreas Sturmlechner
2022-04-04 12:18 Ionen Wolkens
2022-03-01 13:30 Andrew Ammerlaan
2021-07-04 14:03 Ulrich Müller
2021-04-11 13:43 Sam James
2021-04-10 12:40 Sam James
2020-04-10  9:26 Andreas Sturmlechner
2020-04-10  9:26 Andreas Sturmlechner
2019-07-01 17:52 Andreas Sturmlechner
2019-06-30  7:18 Amy Liffey
2019-01-09 11:52 Andreas Sturmlechner
2018-12-31 10:09 Andreas Sturmlechner
2018-12-31 10:09 Andreas Sturmlechner
2018-02-16 10:31 Andreas Sturmlechner
2018-02-16 10:31 Andreas Sturmlechner
2017-06-04 10:25 Andreas Sturmlechner
2017-03-03  0:15 Andreas Sturmlechner
2016-12-29 12:05 Michael Palimaka
2016-10-29 11:22 Michael Palimaka
2016-10-23 17:41 Ettore Di Giacinto
2016-10-23 17:41 Ettore Di Giacinto
2016-10-23 17:41 Ettore Di Giacinto
2016-10-04 19:41 Amy Winston
2016-10-04 17:38 Amy Winston
2016-06-26 18:13 Amy Winston
2016-06-24  7:16 Amy Winston

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1546127557.a8b45e983c4a03566e2341538f688684ea1b2c47.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox